rte_fib_rcu_config(3)

NAME
rte_fib_rcu_config

SYNOPSIS

#include <rte_fib.h>

  Data Fields

struct rte_rcu_qsbr * v
enum rte_fib_qsbr_mode mode
uint32_t dq_size
uint32_t reclaim_thd
uint32_t reclaim_max

Detailed Description

FIB RCU QSBR configuration structure.

Definition at line 116 of file rte_fib.h.

Field Documentation

  struct rte_rcu_qsbr* v
RCU QSBR variable.

Definition at line 118 of file rte_fib.h.

  enum rte_fib_qsbr_mode mode
Mode of RCU QSBR. See RTE_FIB_QSBR_MODE_xxx. Default: RTE_FIB_QSBR_MODE_DQ, create defer queue for reclaim.

Definition at line 122 of file rte_fib.h.

  uint32_t dq_size
RCU defer queue size. Default: RTE_FIB_RCU_DQ_RECLAIM_SZ.

Definition at line 126 of file rte_fib.h.

  uint32_t reclaim_thd
Threshold to trigger auto reclaim.

Definition at line 128 of file rte_fib.h.

  uint32_t reclaim_max
Max entries to reclaim in one go. Default: RTE_FIB_RCU_DQ_RECLAIM_MAX.

Definition at line 132 of file rte_fib.h.

Author

Generated automatically by Doxygen for DPDK from the source code.